org.icefaces.ace.model.table

## Class ColumnGroupModel

- java.lang.Object
- - org.icefaces.ace.model.table.ColumnGroupModel

-     public class ColumnGroupModel
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ColumnGroupModel.ConstructionState`
    `class` | `ColumnGroupModel.TreeIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnGroupModel()`
    `ColumnGroupModel(ColumnGroup columnGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addColumn(ColumnGroupModel.ConstructionState state, Column column, int indexRow, int indexAll)`
    `protected void` | `addRow(Row row)`
    `protected void` | `addStackedColumn(ColumnGroupModel.ConstructionState state, Column column)`
    `protected void` | `addUnstackedColumn(ColumnGroupModel.ConstructionState state, Column column, int indexRow, int indexAll)`
    `ColumnGroupModel.ConstructionState` | `construct(java.util.List<java.lang.Integer> columnOrdering)`
    `protected void` | `endConstruction()` In case we added columns as we went, and previous rows have less columns, pad them out with empty ones.
    `protected void` | `endRow(ColumnGroupModel.ConstructionState state)`
    `protected org.icefaces.ace.model.table.ColumnGroupModel.Cell` | `getCell(int rowIndex, int columnIndex)`
    `ColumnGroup` | `getColumnGroup()`
    `int` | `getColumns()`
    `Column` | `getColumnWithUnsortedIndex(int unsortedIndex)`
    `protected java.util.ArrayList<org.icefaces.ace.model.table.ColumnGroupModel.Cell>` | `getLastRowCells()`
    `Row` | `getRow(int rowIndex)`
    `int` | `getRows()`
    `ColumnGroupModel.TreeIterator` | `iterate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnGroupModel

          public ColumnGroupModel()

    - #### ColumnGroupModel

          public ColumnGroupModel(ColumnGroup columnGroup)

  - ### Method Detail

    - #### construct

          public ColumnGroupModel.ConstructionState construct(java.util.List<java.lang.Integer> columnOrdering)

    - #### iterate

          public ColumnGroupModel.TreeIterator iterate()

    - #### getRows

          public int getRows()

    - #### getColumns

          public int getColumns()

    - #### getColumnGroup

          public ColumnGroup getColumnGroup()

    - #### getRow

          public Row getRow(int rowIndex)

    - #### getColumnWithUnsortedIndex

          public Column getColumnWithUnsortedIndex(int unsortedIndex)

    - #### getCell

          protected org.icefaces.ace.model.table.ColumnGroupModel.Cell getCell(int rowIndex,
                                                                               int columnIndex)

    - #### addRow

          protected void addRow(Row row)

    - #### addColumn

          protected void addColumn(ColumnGroupModel.ConstructionState state,
                                   Column column,
                                   int indexRow,
                                   int indexAll)

    - #### addStackedColumn

          protected void addStackedColumn(ColumnGroupModel.ConstructionState state,
                                          Column column)

    - #### addUnstackedColumn

          protected void addUnstackedColumn(ColumnGroupModel.ConstructionState state,
                                            Column column,
                                            int indexRow,
                                            int indexAll)

    - #### endRow

          protected void endRow(ColumnGroupModel.ConstructionState state)

    - #### getLastRowCells

          protected java.util.ArrayList<org.icefaces.ace.model.table.ColumnGroupModel.Cell> getLastRowCells()

    - #### endConstruction

          protected void endConstruction()

      In case we added columns as we went, and previous rows have less columns, pad them out with empty ones.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.